<ul>
    <li *ngFor="let item of list">
        <button (click)="delete(item.id!)">Delete</button>
        <button (click)="showEditForm(item)">Edit</button>
        <a href="/operation/{{item.id}}">Détail</a>
        {{item.date|date}} : {{item.label}} {{item.amount}}€
    </li>
</ul>

<div *ngIf="displayEditForm">
    <h2>Modification de l'opération</h2>
    <form (ngSubmit)="update(modifiedOp)">
        <label for="label">Label :</label>
        <input [(ngModel)]="modifiedOp.label" type="text" name="label" id="label">
        <br>
        <label for="amount">Amount :</label>
        <input [(ngModel)]="modifiedOp.amount" type="number" name="amount" id="amount">
        <br>
        <input type="submit" value="Save" />
      </form>
</div>

<br /><br /><br />
<hr />
<br /><br /><br />

<button (click)="fetchOne()">Fetch one</button>

<div *ngIf="single">
    <h2>Selected operation</h2>
    {{single.date|date}} : {{single.label}} {{single.amount}}€
</div>